summaryrefslogtreecommitdiff
path: root/tests/rm/sunos-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/sunos-1')
-rwxr-xr-xtests/rm/sunos-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/sunos-1 b/tests/rm/sunos-1
index abee7a18c..1f6a09cd3 100755
--- a/tests/rm/sunos-1
+++ b/tests/rm/sunos-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Make sure that rm -r '' fails.
-# Copyright (C) 1997, 1998, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 1997, 1998, 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -30,7 +30,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0